model-label-outcomes
Read what happened to one Proposal's model labels
GET
/
api
/
v1
/
model-label-outcomes
/
proposal
Read what happened to one Proposal's model labels
curl --request GET \
--url https://api.nitsor.com/api/v1/model-label-outcomes/proposal \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nitsor.com/api/v1/model-label-outcomes/proposal"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nitsor.com/api/v1/model-label-outcomes/proposal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/model-label-outcomes/proposal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/model-label-outcomes/proposal"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nitsor.com/api/v1/model-label-outcomes/proposal")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/model-label-outcomes/proposal")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"kind": "model_label",
"taskId": "<string>",
"jobId": "<string>",
"proposalId": "<string>",
"componentId": "<string>",
"annotationId": "<string>",
"modelFamily": "<string>",
"modelVersion": "<string>",
"modelSetupVersion": {
"state": "recorded",
"version": "<string>"
},
"modelClassId": "<string>",
"finalClassId": "<string>",
"outcome": "kept_as_is",
"scoring": "scored",
"deletedVia": "discarded",
"deletionReason": "<string>",
"disposition": "accepted",
"opened": "opened",
"editSize": {
"addedPathLengthMm": 1,
"addedVolumeMl": 1,
"removedPathLengthMm": 1,
"removedVolumeMl": 1,
"shiftMm": 1,
"surfaceDice": 0.5,
"toleranceMm": 123
},
"beforeGeometryHash": "<string>",
"afterGeometryHash": "<string>",
"approval": "approved",
"standing": "final",
"createdAt": "2023-11-07T05:31:56Z",
"scoringGap": "mask_scorer_not_built",
"helperSources": [
"interpolation"
],
"helperSourcesGap": "event_window_exceeds_scan",
"measure": {
"kind": "box",
"iou": 0.5,
"cornerShiftMm": 1,
"toleranceMm": 123
}
}
],
"nextCursor": "<string>",
"state": "recorded"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}Authorizations
Query Parameters
⌘I
Read what happened to one Proposal's model labels
curl --request GET \
--url https://api.nitsor.com/api/v1/model-label-outcomes/proposal \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nitsor.com/api/v1/model-label-outcomes/proposal"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nitsor.com/api/v1/model-label-outcomes/proposal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/model-label-outcomes/proposal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/model-label-outcomes/proposal"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nitsor.com/api/v1/model-label-outcomes/proposal")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/model-label-outcomes/proposal")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"kind": "model_label",
"taskId": "<string>",
"jobId": "<string>",
"proposalId": "<string>",
"componentId": "<string>",
"annotationId": "<string>",
"modelFamily": "<string>",
"modelVersion": "<string>",
"modelSetupVersion": {
"state": "recorded",
"version": "<string>"
},
"modelClassId": "<string>",
"finalClassId": "<string>",
"outcome": "kept_as_is",
"scoring": "scored",
"deletedVia": "discarded",
"deletionReason": "<string>",
"disposition": "accepted",
"opened": "opened",
"editSize": {
"addedPathLengthMm": 1,
"addedVolumeMl": 1,
"removedPathLengthMm": 1,
"removedVolumeMl": 1,
"shiftMm": 1,
"surfaceDice": 0.5,
"toleranceMm": 123
},
"beforeGeometryHash": "<string>",
"afterGeometryHash": "<string>",
"approval": "approved",
"standing": "final",
"createdAt": "2023-11-07T05:31:56Z",
"scoringGap": "mask_scorer_not_built",
"helperSources": [
"interpolation"
],
"helperSourcesGap": "event_window_exceeds_scan",
"measure": {
"kind": "box",
"iou": 0.5,
"cornerShiftMm": 1,
"toleranceMm": 123
}
}
],
"nextCursor": "<string>",
"state": "recorded"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}